part of 'exercise_control_bloc.dart';

@immutable
abstract class ExerciseControlEvent extends Equatable {
  const ExerciseControlEvent();

  @override
  List<Object> get props => [];
}

class ExerciseControlLoad extends ExerciseControlEvent {
  const ExerciseControlLoad();
}

class ExerciseControlQuantityChange extends ExerciseControlEvent {
  final double quantity;
  final int step;
  const ExerciseControlQuantityChange({required this.quantity, required this.step});
}

class ExerciseControlUnitQuantityChange extends ExerciseControlEvent {
  final double quantity;
  final int step;
  const ExerciseControlUnitQuantityChange({required this.quantity, required this.step});
}

class ExerciseControlSubmit extends ExerciseControlEvent {
  final int step;
  const ExerciseControlSubmit({required this.step});
}
